#
# spec file for package hyprshot
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2023-2024 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hyprshot
Version:        1.3.0+2
Release:        1.3
Summary:        Hyprland screenshot utility
License:        GPL-3.0-only
URL:            https://github.com/Gustash/Hyprshot
Source0:        %{name}-%{version}.tar.xz
Source99:       hyprshot-rpmlintrc
Requires:       ImageMagick
Requires:       grim
Requires:       hyprland
Requires:       jq
Requires:       libnotify-tools
Requires:       slurp
Requires:       wl-clipboard
BuildArch:      noarch

%description
Hyprshot is a utility to take screenshot in Hyprland using the mouse.

It allows taking screenshots of windows, regions and monitors which
are saved to a folder of choice copied to the clipboard.

%prep
%autosetup

#
# Fix shebang issues
#
sed -i -r 's,(/usr/bin/)env (bash),\1\2,' hyprshot

%build
# Just a placeholder

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 hyprshot  %{buildroot}%{_bindir}/hyprshot

%files
%license LICENSE
%doc README.md
%{_bindir}/hyprshot

%changelog
* Thu Jun 27 2024 malcolmlewis@opensuse.org
- Update to version 1.3.0+2:
  * Add -D,--delay option to allow setting a delay after selecting
    an area to screenshot, (gh#Gustash/Hyprshot#56).
  * Fix: support negative monitor offsets,
    (gh#Gustash/Hyprshot#39).
  * Feat: change --freeze shorthand to -z
  * Added data type to wl-copy, (gh#Gustash/Hyprshot#35.)
  * Chore: update README.
  * New: added --freeze flag, (gh#Gustash/Hyprshot#21).
  * Account for transforms, (gh#Gustash/Hyprshot#24).
  * Take scale into account when capturing output.
  * Feat: ability to pre-select monitor to capture.
  * Fix: simplified calculations.
  * Refactor: crop geometry before capture.
  * Fix: window cropping instead of pixel trimming.
  * Added -c current window/output option.
  * Added -t notify-send timeout.
  * Fix: use correct XDG_PICTURES_DIR even if the env var is not
    present.
* Fri Jun 23 2023 Jan Engelhardt <jengelh@inai.de>
- Remove filler words, wrap description at 70 cols for yast
* Wed Jun 21 2023 malcolmlewis@opensuse.org
- Initial build at version 1.2.2
